<template>
  <j-modal
    :title="title"
    :width="width"
    :visible="visible"
    switchFullscreen
    @ok="handleOk"
    :okButtonProps="{ class:{'jee-hidden': disableSubmit} }"
    @cancel="handleCancel"
    cancelText="关闭">
    <bu-zy-exp-data-online-form ref="realForm" @ok="submitCallback" :disabled="disableSubmit" :query-type="queryType" :query-month="queryMonth"></bu-zy-exp-data-online-form>
  </j-modal>
</template>

<script>

  import BuZyExpDataOnlineForm from './BuZyExpDataOnlineForm'
  export default {
    name: 'BuZyExpDataOnlineModal',
    components: {
      BuZyExpDataOnlineForm
    },
    props: {
      queryType: {
        type: String,
        default: 'online'
      },
      queryMonth: {
        type: String,
        default: undefined
      }
    },
    data () {
      return {
        title:'',
        width:800,
        visible: false,
        disableSubmit: false
      }
    },
    methods: {
      add () {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.add();
        })
      },
      edit (record, queryType, queryMonth) {
        this.visible=true
        this.$nextTick(()=>{
          this.$refs.realForm.edit(record, queryType, queryMonth);
        })
      },
      close () {
        this.$emit('close');
        this.visible = false;
      },
      handleOk () {
        this.$refs.realForm.submitForm();
      },
      submitCallback(){
        this.$emit('ok');
        this.visible = false;
      },
      handleCancel () {
        this.close()
      }
    }
  }
</script>